[releng] Update to Tycho 1.6 and Jarsigning 1.1.7

Tycho 1.6 now requires Java 8, so also add support for using
toolchains (enabled on CI).

Change-Id: I001ba1e588637da743e6df641559e0b6e532553a
diff --git a/pom.xml b/pom.xml
index 8b4a671..eb1cc10 100644
--- a/pom.xml
+++ b/pom.xml
@@ -22,8 +22,8 @@
   <properties>
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
     <tycho.scmUrl>scm:git:https://git.eclipse.org/r/p/usssdk/org.eclipse.usssdk.git</tycho.scmUrl>
-    <tycho-version>0.23.0</tycho-version>
-    <jarsigner-version>1.1.2</jarsigner-version>
+    <tycho-version>1.6.0</tycho-version>
+    <jarsigner-version>1.1.7</jarsigner-version>
 
     <!-- OS-specific JVM flags, empty for the default case but redefined below -->
     <os-jvm-flags/>